// created by ricpe13 //
#include <bits/stdc++.h>

using namespace std;

int main()
{

    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    ////////////////////////////////

    int a,b,c,d;
    cin >> a >> b >> c >> d;
    if (a==c) {
        cout << 2 << endl;
    }
    if (b==d) {
        cout << 2 << endl;
    }
    if (a!=c && b!=d && abs(a-c==b-d)) {
        cout << 1 << endl;
    }
    if (a!=c && b!=d && abs(a-c!=b-d)) {
        cout << 0 << endl;
    }
    return 0;
}